skb_dequeue
Prev | Socket Buffer Functions | Next

## Name

skb_dequeue — remove from the head of the queue

## Synopsis

`struct sk_buff * skb_dequeue (` | struct sk_buff_head * | list`)`;

## Arguments

`list`

  list to dequeue from

## Description

Remove the head of the list. The list lock is taken so the function may be used safely with other locking list functions. The head item is returned or `NULL` if the list is empty.

Prev | Up | Next
skb_store_bits | Home | skb_dequeue_tail